You can not select more than 25 topics
Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
37 lines
1.1 KiB
37 lines
1.1 KiB
From e5f4bbd804e337a7efaf3a0cb4fc3a37b7e33b47 Mon Sep 17 00:00:00 2001 |
|
From: Harald Hoyer <harald@redhat.com> |
|
Date: Fri, 3 Jul 2015 14:00:33 +0200 |
|
Subject: [PATCH] livenet: don't attempt to download the image for every |
|
interface |
|
|
|
https://bugzilla.redhat.com/show_bug.cgi?id=1152485 |
|
--- |
|
modules.d/90livenet/livenetroot.sh | 10 +++++++++- |
|
1 file changed, 9 insertions(+), 1 deletion(-) |
|
|
|
diff --git a/modules.d/90livenet/livenetroot.sh b/modules.d/90livenet/livenetroot.sh |
|
index 1bbee55b..2e36ee98 100755 |
|
--- a/modules.d/90livenet/livenetroot.sh |
|
+++ b/modules.d/90livenet/livenetroot.sh |
|
@@ -7,12 +7,20 @@ type getarg >/dev/null 2>&1 || . /lib/dracut-lib.sh |
|
|
|
PATH=/usr/sbin:/usr/bin:/sbin:/bin |
|
|
|
+[ -e /tmp/livenet.downloaded ] && exit 0 |
|
+ |
|
# args get passed from 40network/netroot |
|
netroot="$2" |
|
liveurl="${netroot#livenet:}" |
|
info "fetching $liveurl" |
|
imgfile=$(fetch_url "$liveurl") |
|
-[ $? = 0 ] || die "failed to download live image: error $?" |
|
+ |
|
+if [ $? = 0 ]; then |
|
+ warn "failed to download live image: error $?" |
|
+ exit 1 |
|
+fi |
|
+ |
|
+> /tmp/livenet.downloaded |
|
|
|
# TODO: couldn't dmsquash-live-root handle this? |
|
if [ ${imgfile##*.} = "iso" ]; then
|
|
|